Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516109 - [abrt] cinnamon: js::GCMethods<JSObject*>::needsPostBarrier(JSObject*)(): cinnamon killed by SIGSEGV
Summary: [abrt] cinnamon: js::GCMethods<JSObject*>::needsPostBarrier(JSObject*)(): cin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ae555ad08ee2aef12cea2f7e200...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 05:05 UTC by Keith Bennett
Modified: 2018-05-09 21:25 UTC (History)
2 users (show)

Fixed In Version: cinnamon-3.8.2-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-09 21:25:56 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-22 05:05 UTC, Keith Bennett
no flags Details
File: cgroup (deleted)
2017-11-22 05:05 UTC, Keith Bennett
no flags Details
File: core_backtrace (deleted)
2017-11-22 05:05 UTC, Keith Bennett
no flags Details
File: cpuinfo (deleted)
2017-11-22 05:05 UTC, Keith Bennett
no flags Details
File: dso_list (deleted)
2017-11-22 05:05 UTC, Keith Bennett
no flags Details
File: environ (deleted)
2017-11-22 05:05 UTC, Keith Bennett
no flags Details
File: exploitable (deleted)
2017-11-22 05:05 UTC, Keith Bennett
no flags Details
File: limits (deleted)
2017-11-22 05:05 UTC, Keith Bennett
no flags Details
File: maps (deleted)
2017-11-22 05:05 UTC, Keith Bennett
no flags Details
File: mountinfo (deleted)
2017-11-22 05:05 UTC, Keith Bennett
no flags Details
File: open_fds (deleted)
2017-11-22 05:05 UTC, Keith Bennett
no flags Details
File: proc_pid_status (deleted)
2017-11-22 05:05 UTC, Keith Bennett
no flags Details

Description Keith Bennett 2017-11-22 05:05:47 UTC
Version-Release number of selected component:
cinnamon-3.6.3-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: js::GCMethods<JSObject*>::needsPostBarrier(JSObject*)
executable:     /usr/bin/cinnamon
journald_cursor: s=3c4b6be6ea904c0187893fc3488187bf;i=1ceca;b=701d8efecad44bd4a81c2658253b46a4;m=3e1b65c5c9;t=55e8aba6b14f1;x=149923f1d8b0ff8d
kernel:         4.13.12-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 js::GCMethods<JSObject*>::needsPostBarrier(JSObject*) at /usr/include/mozjs-38/js/RootingAPI.h:663
 #1 JS::Heap<JSObject*>::set(JSObject*) at /usr/include/mozjs-38/js/RootingAPI.h:296
 #2 JS::Heap<JSObject*>::operator=(JSObject* const&) at /usr/include/mozjs-38/js/RootingAPI.h:266
 #3 GjsMaybeOwned<JSObject*>::reset() at ./cjs/jsapi-util-root.h:267
 #4 GjsMaybeOwned<JSObject*>::switch_to_rooted(JSContext*, void (*)(JS::Handle<JSObject*>, void*), void*) at ./cjs/jsapi-util-root.h:290
 #5 handle_toggle_up(GObject*) at gi/object.cpp:978
 #6 g_object_ref at gobject.c:3202
 #7 clutter_actor_destroy at clutter-actor.c:8578
 #8 ffi_call_unix64 at ../src/x86/unix64.S:76
 #9 ffi_call at ../src/x86/ffi64.c:525

Comment 1 Keith Bennett 2017-11-22 05:05:50 UTC
Created attachment 1357199 [details]
File: backtrace

Comment 2 Keith Bennett 2017-11-22 05:05:51 UTC
Created attachment 1357200 [details]
File: cgroup

Comment 3 Keith Bennett 2017-11-22 05:05:52 UTC
Created attachment 1357201 [details]
File: core_backtrace

Comment 4 Keith Bennett 2017-11-22 05:05:53 UTC
Created attachment 1357202 [details]
File: cpuinfo

Comment 5 Keith Bennett 2017-11-22 05:05:54 UTC
Created attachment 1357203 [details]
File: dso_list

Comment 6 Keith Bennett 2017-11-22 05:05:55 UTC
Created attachment 1357204 [details]
File: environ

Comment 7 Keith Bennett 2017-11-22 05:05:55 UTC
Created attachment 1357205 [details]
File: exploitable

Comment 8 Keith Bennett 2017-11-22 05:05:56 UTC
Created attachment 1357206 [details]
File: limits

Comment 9 Keith Bennett 2017-11-22 05:05:57 UTC
Created attachment 1357207 [details]
File: maps

Comment 10 Keith Bennett 2017-11-22 05:05:58 UTC
Created attachment 1357208 [details]
File: mountinfo

Comment 11 Keith Bennett 2017-11-22 05:05:59 UTC
Created attachment 1357209 [details]
File: open_fds

Comment 12 Keith Bennett 2017-11-22 05:05:59 UTC
Created attachment 1357210 [details]
File: proc_pid_status

Comment 13 Fedora Update System 2018-05-06 18:32:31 UTC
cinnamon-3.8.2-1.fc28 mint-y-icons-1.1.5-1.fc28 mint-themes-1.6.3-1.fc28 xplayer-1.8.0-1.fc28 pix-1.8.0-1.fc28 cinnamon-screensaver-3.8.1-1.fc28 nemo-3.8.2-1.fc28 xed-1.8.0-1.fc28 muffin-3.8.1-1.fc28 xapps-1.2.1-1.fc28 cinnamon-settings-daemon-3.8.1-1.fc28 cinnamon-menus-3.8.1-1.fc28 cinnamon-desktop-3.8.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d2841d04c8

Comment 14 Fedora Update System 2018-05-07 10:47:58 UTC
cinnamon-3.8.2-1.fc28, cinnamon-desktop-3.8.1-1.fc28, cinnamon-menus-3.8.1-1.fc28, cinnamon-screensaver-3.8.1-1.fc28, cinnamon-settings-daemon-3.8.1-1.fc28, mint-themes-1.6.3-1.fc28, mint-y-icons-1.1.5-1.fc28, muffin-3.8.1-1.fc28, nemo-3.8.2-1.fc28, pix-1.8.0-1.fc28, xapps-1.2.1-1.fc28, xed-1.8.0-1.fc28, xplayer-1.8.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d2841d04c8

Comment 15 Fedora Update System 2018-05-09 21:25:56 UTC
cinnamon-3.8.2-1.fc28, cinnamon-desktop-3.8.1-1.fc28, cinnamon-menus-3.8.1-1.fc28, cinnamon-screensaver-3.8.1-1.fc28, cinnamon-settings-daemon-3.8.1-1.fc28, mint-themes-1.6.3-1.fc28, mint-y-icons-1.1.5-1.fc28, muffin-3.8.1-1.fc28, nemo-3.8.2-1.fc28, pix-1.8.0-1.fc28, xapps-1.2.1-1.fc28, xed-1.8.0-1.fc28, xplayer-1.8.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.